import React from 'react';
import { TPDFJSDocument } from '../../types.d';
export declare function setPdfWorker(workerSrcOrClass: any): void;
declare type Props = {
    data?: Blob;
    url?: string;
    beforeLoad: any;
    errorMessage?: any;
    children: (pdfDocument: TPDFJSDocument) => any;
    onError?: (error: Error) => void;
    cMapUrl?: string;
    cMapPacked?: boolean;
};
declare type State = {
    pdfDocument: TPDFJSDocument | null;
    error: Error | null;
};
declare class PdfLoader extends React.PureComponent<Props, State> {
    state: {
        pdfDocument: null;
        error: null;
    };
    documentRef: React.RefObject<HTMLElement>;
    componentDidMount(): void;
    componentDidUpdate({ data, url }: Props): void;
    componentDidCatch(error: Error): void;
    componentWillUnmount(): void;
    load(): void;
    renderError(): React.FunctionComponentElement<{
        error: null;
    }> | null;
    renderContent(): any;
    render(): JSX.Element;
}
export default PdfLoader;
